Void credit
curl --request POST \
--url https://api.togai.com/credits/{credit_id}/void \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/credits/{credit_id}/void"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/credits/{credit_id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "creds.1znQx9jiIXw.r44fc",
"customerId": "7VcRw9xZDIqsC5E",
"accountId": "ACC001",
"purpose": "Prepaid Credit",
"effectiveFrom": "2020-07-04",
"effectiveUntil": "2021-07-04",
"status": "ACTIVE",
"creditAmount": 1000,
"creditUnit": "USD",
"holdAmount": 500,
"consumedAmount": 400,
"priority": 1,
"createdAt": "2020-07-04T12:00:00.000Z"
},
{
"id": "creds.1znQ46jiIXw.r24fc",
"customerId": "7VcRw9xZDIqsC5E",
"accountId": "ACC001",
"purpose": "Prepaid Credit",
"effectiveFrom": "2020-08-04",
"effectiveUntil": "2021-08-04",
"status": "ACTIVE",
"creditAmount": 1000,
"creditUnit": "USD",
"holdAmount": 500,
"consumedAmount": 400,
"priority": 1,
"createdAt": "2020-08-04T12:00:00.000Z"
}
]{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Credits
Void credit
Void credit
POST
/
credits
/
{credit_id}
/
void
Void credit
⌘I
